%bcond_without qt5
%bcond_without qt6

%define rel 2

Name:           libqaccessibilityclient
Version:        0.6.0
Release:        %mkrel %{rel}
Summary:        Accessibilty tools helper library
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://api.kde.org/libqaccessibilityclient/html/index.html
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  cmake(ECM)
### Qt5 build dependencies
%if %{with qt5}
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
%endif

%description
Helper to make writing accessibility tools easier.

#--------------------------------------------------------------------
### Qt5 ###
%if %{with qt5}

%package -n qaccessibilityclient-qt5
Summary:        Accessibilty tools helper library
Group:          Graphical desktop/KDE
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-qt5 = %{version}-%{release}
Obsoletes:      libqaccessibilityclient < 0.1.1-9
Obsoletes:      libqaccessibilityclient-qt5 < 0.4.1-5

%description -n qaccessibilityclient-qt5
Helper to make writing accessibility tools easier.

%files -n qaccessibilityclient-qt5
%doc AUTHORS README.md
%license LICENSES/*
%{_datadir}/qlogging-categories5/libqaccessibilityclient.categories
%{_bindir}/dumper

#----------------------------------------------------------------------

%define libqaccessibilityclient_qt5_major 0
%define libqaccessibilityclient_qt5 %mklibname qaccessibilityclient-qt5_ %{libqaccessibilityclient_qt5_major}

%package -n %{libqaccessibilityclient_qt5}
Summary:        Runtime Qt5 library for %{name}
Group:          System/Libraries

%description -n %{libqaccessibilityclient_qt5}
Runtime Qt5 library for %{name}.

%files -n %{libqaccessibilityclient_qt5}
%license LICENSES/*
%{_libdir}/libqaccessibilityclient-qt5.so.%{libqaccessibilityclient_qt5_major}{,.*}

#----------------------------------------------------------------------

%define libqaccessibilityclient_qt5_devel %mklibname qaccessibilityclient-qt5 -d

%package -n %{libqaccessibilityclient_qt5_devel}
Summary:        Development files for %{name}-qt5
Group:          Development/KDE and Qt
Requires:       %{libqaccessibilityclient_qt5} = %{version}-%{release}
Provides:       qaccessibilityclient-qt5-devel = %{version}-%{release}
Provides:       %{name}-qt5-devel = %{version}-%{release}

%description -n %{libqaccessibilityclient_qt5_devel}
Development files for %{name}-qt5.

%files -n %{libqaccessibilityclient_qt5_devel}
%{_includedir}/QAccessibilityClient/
%{_libdir}/libqaccessibilityclient-qt5.so
%{_libdir}/cmake/QAccessibilityClient/
%endif

### End Qt5 ###

#--------------------------------------------------------------------
### Qt6 ###
%if %{with qt6}

%package -n qaccessibilityclient-qt6
Summary:        Accessibilty tools helper library (Qt6)
Group:          Graphical desktop/KDE

%description -n qaccessibilityclient-qt6
Helper to make writing accessibility tools easier (Qt6).

%files -n qaccessibilityclient-qt6
%doc AUTHORS README.md
%license LICENSES/*
%{_datadir}/qlogging-categories6/libqaccessibilityclient.categories
%{_bindir}/dumper-qt6

#----------------------------------------------------------------------

%define libqaccessibilityclient_qt6_major 0
%define libqaccessibilityclient_qt6 %mklibname qaccessibilityclient-qt6_ %{libqaccessibilityclient_qt6_major}

%package -n %{libqaccessibilityclient_qt6}
Summary:        Runtime Qt6 library for %{name}
Group:          System/Libraries

%description -n %{libqaccessibilityclient_qt6}
Runtime Qt6 library for %{name}.

%files -n %{libqaccessibilityclient_qt6}
%license LICENSES/*
%{_libdir}/libqaccessibilityclient-qt6.so.%{libqaccessibilityclient_qt6_major}{,.*}

#----------------------------------------------------------------------

%define libqaccessibilityclient_qt6_devel %mklibname qaccessibilityclient-qt6 -d

%package -n %{libqaccessibilityclient_qt6_devel}
Summary:        Development files for %{name}-qt6
Group:          Development/KDE and Qt
Requires:       %{libqaccessibilityclient_qt6} = %{version}-%{release}
Provides:       qaccessibilityclient-qt6-devel = %{version}-%{release}
Provides:       %{name}-qt6-devel = %{version}-%{release}

%description -n %{libqaccessibilityclient_qt6_devel}
Development files for %{name}-qt6.

%files -n %{libqaccessibilityclient_qt6_devel}
%{_includedir}/QAccessibilityClient6/
%{_libdir}/libqaccessibilityclient-qt6.so
%{_libdir}/cmake/QAccessibilityClient6/
%endif

### End Qt6 ###
#---------------------------------------------------------------------

%prep
%autosetup

%build
### Build Qt5 ###
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_qt5 -DQT_MAJOR_VERSION=5
%cmake_build
%endif

### Build Qt6 ###
%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_qt6 -DQT_MAJOR_VERSION=6
%cmake_build
%endif

%install
%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_install
## Conflicts with qaccessibilityclient-qt5 pkg
mv %{buildroot}%{_bindir}/dumper %{buildroot}%{_bindir}/dumper-qt6
%endif

%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_install
%endif



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.6.0-2.mga10
+ Revision: 2220549
- Mageia 10 Mass Rebuild

* Tue Dec 05 2023 daviddavid <daviddavid> 0.6.0-1.mga10
+ Revision: 2013479
- new version: 0.6.0

* Sat Nov 04 2023 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2004155
- new version: 0.5.0
- drop Qt4 support
- merge (and obsoletes) libqaccessibilityclient-qt5 into one source pkg
- add Qt6 support

* Sun Apr 03 2022 umeabot <umeabot> 0.1.1-8.mga9
+ Revision: 1841269
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1.1-7.mga8
+ Revision: 1514717
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Sep 27 2018 daviddavid <daviddavid> 0.1.1-6.mga7
+ Revision: 1308634
- patch1: fix build with gcc8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Apr 12 2018 daviddavid <daviddavid> 0.1.1-5.mga7
+ Revision: 1217816
- rename accessibleapps binary for accessibleapps-qt4
  (conflicts with libqaccessibilityclient-qt5 pkg)

* Thu Feb 04 2016 umeabot <umeabot> 0.1.1-4.mga6
+ Revision: 935100
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 745811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681728
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 lmenut <lmenut> 0.1.1-1.mga5
+ Revision: 655664
- imported package libqaccessibilityclient

